PKGTOOL(8)

NAME
pkgtool - software package maintenance tool.

SYNOPSIS
pkgtool

pkgtool [ -sets #a#b#c# ] [ -source_mounted ] [ -ignore_tagfiles ] [ -source_dir directory ] [ -target_dir directory ] [ -source_device directory ]

DESCRIPTION
pkgtool is the standard package maintenance tool provided with the Slackware Linux distribution. It is called by the setup utility to perform system installation. It can also be called without any arguments, and will then allow the user to install, remove, (or view, in the case of the color version) software packages through an interactive menu system. There are two versions of the pkgtool utility - /sbin/pkgtool.tty and /usr/lib/setup/cpkgtool. These function in a similar fashion, but the first one uses standard tty text output, while the second uses full screen (and possibly color) ncurses output. The color version depends on the presence of the /usr/lib/terminfo terminal library.

OPTIONS
Most users will not want to use any options when running pkgtool. These are generally used only when pkgtool is run by setup. Feel free to try them, but be careful.

-sets #A#B#C#
    Install the disk sets A, B, C. Seperate the disk set names by '#' symbols.

-source_mounted
    When this flag is present, pkgtool will not attempt to unmount and remount the source device with each disk.

-ignore_tagfiles
    When this flag is present, pkgtool will install every *.tgz package encountered no matter what the tagfiles say.

-source_dir directory
    Used when installing multiple packages from disk sets. This is the directory in which the subdirectories for each disk are found. This isn't used when installing from floppy.

-target_dir directory
    The directory where the target root directory is located. This is '/' when installing on the hard drive, or typically '/mnt' when installing from an install disk.

-source_device device
    The source device to install from. This is not used if you've provided the -source_mounted flag. It's usually used when installing from floppy, as in:
     -source_device /dev/fd0H1440 or
     -source_device /dev/fd1h1200.

AUTHOR
Patrick J. Volkerding <volkerdi@mhd1.moorhead.msus.edu>

SEE ALSO
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), setup(8)